lmerge(1)

NAME
lmerge - lmerge combines multiple transcripts into one.

SYNOPSIS
lmerge [-IiVvT] [ -D path ] [ -u umask ] transcript... dest
lmerge -f [-IiVv] [ -D path ] [ -u umask ] transcript1 transcript2
lmerge -n [-IiVvT] [ -D path ] [ -u umask ] transcript1 transcript2 dest

DESCRIPTION
lmerge walks through each transcript in precedence order ( highest precedence transcript listed first ) to create the apply-able transcript dest. If multiple transcripts list the same file system object, the transcript line from the highest precedence transcript is written to dest. Blank lines and comments ( lines starting with # ) are not written to dest. With the -f option lmerge does not create a new transcript and merges the first transcript into the second transcript. The second transcript must be writable by the user. Only two transcripts are allowed. If the highest precedence listing of a file system object is preceded with a '-', the transcript line will not be written to dest. Files listed in dest are linked from their original location to a file directory created by lmerge. This directory is relative to the location of dest. Since files are linked, all transcripts ( including dest ) and files must be located on the same volume. Using the -f option, lmerge links all files from the lowest precedence transcript. If the transcript line for a file is preceded with a "-" it is also removed from the file directory associated with the lowest precedence transcript. The -n option indicates that the highest precedence transcript has no associated file directory. All files listed in the highest precedence transcript must be in the file directory associated with the lowest precedence transcript. A transcript line in the highest precedence transcript written to dest, but files are linked from the lowest precedence transcript. Only two transcripts can be merged with the -n option.

OPTIONS

-f  merge transcript1 into transcript2.

-D path
    specifies the radmind working directory, by default /var/radmind

-I  path comparisons are case-insensitive.

-n  merge two transcripts linking all files from the lowest precedence transcript.

-T  merge transcripts only. Do not perform file system linking. May not be used with the -f option.

-u umask
    use umask as the file mode creation mask, default is users umask.

-V  displays the version of lmerge and exits.

-v  displays merge information to the standard output.

EXIT STATUS
The following exit values are returned:

0   Merge successful.

>1  An error occurred.

SEE ALSO
fsdiff(1), ktcheck(1), lapply(1), lcksum(1), lcreate(1), lfdiff(1), lsort(1), twhich(1), radmind(8).